clear
cd "C:\Users\emf23\Dropbox\Dowry_Bangladesh"
use "allfemdata_analysis_QJE_dowry.dta", clear

cd "C:\Users\emf23\Dropbox\Dowry_Bangladesh\Tables_rep\"


/*Table 1*/
log using table0.log, replace

tabstat mohrval2 anydow dowval2 bequest_any bequest_all anymon anyland anyprod anycons ed eds am ams femricher malericher, stats(mean sem n)  col(stats)
tabstat mohrval2 anydow dowval2 bequest_any bequest_all  anymon anyland anyprod anycons ed eds am ams femricher malericher, stats(mean sem n) by(regime) col(stats)

log close

/*Table 2*/

xi: reg mohrval2 dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if mus==1& age>18, cluster(qsl)
outreg2 dum1963 dum1974 dum1990 dum1998 ym using table2.out, bfmt(f) replace se nor2 10pct nocon br  comm

xi: reg dowval2 dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum1963 dum1974 dum1990 dum1998 ym using table2.out, bfmt(f) append 10pct se nor2 comm nocon br

xi: reg dowval_nobeq dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum1963 dum1974 dum1990 dum1998 ym using table2.out, bfmt(f) append 10pct se nor2 comm nocon br

xi: reg mohrval2 dum1963 dum1974 dum1990 dum1998  rem_dum63 rem_dum74 rem_dum90 rem_dum98  remote i.ymcat ym  maleob i.district if mus==1& age>18, cluster(district)
outreg dum1963 dum1974 dum1990 dum1998 rem_dum63 rem_dum74 rem_dum90 rem_dum98  remote ym using table2.out, bfmt(f) append se nor2 10pct nocon br  comm
test (dum1963=0)(dum1974=0)(dum1990=0)(dum1998=0)(rem_dum63=0)(rem_dum74=0)(rem_dum90=0)(rem_dum98=0)

xi: reg anydow dum1963 dum1974 dum1990 dum1998  rem_dum63 rem_dum74 rem_dum90 rem_dum98  remote i.ymcat ym  maleob i.district if mus==1& age>18, cluster(district)
outreg dum1963 dum1974 dum1990 dum1998 rem_dum63 rem_dum74 rem_dum90 rem_dum98  remote ym using table2.out, bfmt(f) append se nor2 10pct nocon br  comm
test (dum1963=0)(dum1974=0)(dum1990=0)(dum1998=0)(rem_dum63=0)(rem_dum74=0)(rem_dum90=0)(rem_dum98=0)


xi: reg dowval2 dum1963 dum1974 dum1990 dum1998  rem_dum63 rem_dum74 rem_dum90 rem_dum98  remote i.ymcat ym  maleob i.district if mus==1& age>18, cluster(district)
outreg dum1963 dum1974 dum1990 dum1998  rem_dum63 rem_dum74 rem_dum90 rem_dum98  remote ym using table2.out, bfmt(f) append se nor2 10pct nocon br  comm
test (dum1963=0)(dum1974=0)(dum1990=0)(dum1998=0)(rem_dum63=0)(rem_dum74=0)(rem_dum90=0)(rem_dum98=0)



/*Table 3*/
xi: reg mohrval2 dum131962  dum131972 dum131988 dum131996 i.ybcat yb   maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum131962  dum131972 dum131988 dum131996 yb  using table3.out, bfmt(f) replace  10pct se nor2 nocon br comm

xi: reg dowval2 dum131962 dum131972 dum131988 dum131996 i.ybcat yb   maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum131962 dum131972 dum131988 dum131996  yb using table3.out, bfmt(f) append 10pct  se nor2 comm nocon br

xi: reg dowval2 dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if relgn==2& age>18, cluster(qsl)
outreg dum1963 dum1974 dum1990 dum1998 ym using table3.out, bfmt(f) append 10pct se nor2 comm nocon br

xi: reg dowval_any dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum1963 dum1974 dum1990 dum1998 ym using table3.out, bfmt(f) replace se nor2 10pct nocon br  comm

xi: reg am dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum1963 dum1974 dum1990 dum1998 ym using table3.out, bfmt(f) append se nor2 10pct nocon br  comm


xi: reg ad dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum1963 dum1974 dum1990 dum1998 ym using table3.out, bfmt(f) append se nor2 10pct nocon br  comm

xi: reg femricher dum1963 dum1974 dum1990 dum1998 i.ymcat ym  maleob i.region if mus==1& age>18, cluster(qsl)
outreg dum1963 dum1974 dum1990 dum1998 ym using table3.out, bfmt(f) append se nor2 10pct nocon br  comm

/*Non-parametric regression estimates, ignoring top 2% outliers for both mohr and dowry*/
lowess mohrval2 dowval2 if dowval2<130000&mohrval2<350000&ym>1961
reg mohrval2 dowval2 if dowval2<130000&mohrval2<350000&ym>1961

/*slope estimate= 0.801, t-stat=12.12*
